package com.unissoft.RemoteTask;

import com.unissoft.basic.service.TimingTaskService;
import com.unissoft.deviceManage.model.CheckParams;
import com.unissoft.deviceManage.service.DeviceDataService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @author qingsong.han
 * @description: 温湿度检测执行类
 * @create 2022-06-28 15:33
 */
@Slf4j
@Async
@Component("tempWithWetBean")
public class TempWithWetBean {
    @Resource
    private DeviceDataService deviceDataService;
    @Resource
    private TimingTaskService timingTaskService;

    // 测温
    public void tempWithParams(String params) {
        log.info("执行测温检测定时任务: {}", params);
    }
    public void tempWithParams() {
        log.info("执行测温检测定时任务:{空参}");
    }
    // 测湿
    public void wetWithParams(String params) {
        log.info("执行测湿检测定时任务: {}", params);
    }
    public void wetWithParams() {
        log.info("执行测湿检测定时任务:{空参}");
    }
    // 温湿度一体设备
    public void tempAndWetWithParams(String params) {
        log.info("执行温湿度一体设备检测定时任务: {}", params);
        // 查询定时任务详细信息
        CheckParams timingTask = timingTaskService.executorTimingParam(Long.valueOf(params));
        // 定时获取数据
        deviceDataService.saveTempWet(timingTask);
    }

    public void tempAndWetWithParams() {
        log.info("执行温湿度一体设备检测定时任务:{空参}");
    }

}
