package com.unissoft.alarm.controller;

import com.alibaba.fastjson.JSON;
import com.unissoft.alarm.model.VideoAlarmReq;
import com.unissoft.alarm.service.VideoAlarmService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Arrays;

/**
 * @author qingsong.han
 * @description: 视频异常报警信息接收
 * @create 2023-05-08 16:21
 */
@RestController
@RequestMapping("/video")
@Slf4j
public class VideoAlarmController {
    @Resource
    private VideoAlarmService videoAlarmService;

    @PostMapping("/pushIntrusion")
    public void receivedVideo(@RequestBody VideoAlarmReq videoAlarmReq) {
        log.info("videoAlarm-->{}", JSON.toJSONString(videoAlarmReq));
        videoAlarmReq.setPicturesAll(Arrays.toString(videoAlarmReq.getPictures()));
        videoAlarmReq.setCarNum(Arrays.toString(videoAlarmReq.getCarnum()));
        videoAlarmService.saveOrUpdate(videoAlarmReq);
    }

    @GetMapping("/pullPicture")
    public String pullPicture(String eventId) {
        // 测试地址拼接
        String byId = videoAlarmService.getById(eventId).getPicture();
        return String.format("%s%s", "http://1.1.1.1:8081/api/file?fn=", byId);
    }

}
