package com.unissoft.alarm.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 报警记录表
 * </p>
 *
 * @author root
 * @since 2022-06-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("alarm_record")
@ApiModel(value="AlarmRecord对象", description="报警记录表")
public class AlarmRecord implements Serializable {
    private static final long serialVersionUID = -575290510859429282L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    @ApiModelProperty(value = "组织机构编码")
    @TableField("org_code")
    private String orgCode;

    /*@ApiModelProperty(value = "组织机构名称")
    @TableField("org_name")
    private String orgName;*/

    @ApiModelProperty(value = "报警类型编码")
    @TableField("alarm_type_code")
    private String alarmTypeCode;

    /*@ApiModelProperty(value = "报警类型名称")
    @TableField("alarm_type_name")
    private String alarmTypeName;*/

    @ApiModelProperty(value = "报警设备编码")
    @TableField("eq_code")
    private String eqCode;

    /*@ApiModelProperty(value = "报警设备名称")
    @TableField("eq_name")
    private String eqName;*/

    @ApiModelProperty(value = "所属产品编码")
    @TableField("pro_code")
    private String proCode;

    /*@ApiModelProperty(value = "所属产品名称")
    @TableField("pro_name")
    private String proName;*/

    @ApiModelProperty(value = "设备标签编码")
    @TableField("label_code")
    private String labelCode;

    /*@ApiModelProperty(value = "设备标签名称")
    @TableField("label_name")
    private String labelName;*/

    @ApiModelProperty(value = "报警高限阀值(保留2位小数)")
    @TableField("alarm_value_max")
    private BigDecimal alarmValueMax;

    @ApiModelProperty(value = "报警底限阀值(保留2位小数)")
    @TableField("alarm_value_min")
    private BigDecimal alarmValueMin;

    @ApiModelProperty(value = "报警内容")
    @TableField("alarm_remark")
    private String alarmRemark;

    @ApiModelProperty(value = "报警时间")
    @TableField("alarm_time")
    private Date alarmTime;

    @ApiModelProperty(value = "处理状态(0.待处理 1.已处理)")
    @TableField("handle_state")
    private String handleState;

    @ApiModelProperty(value = "处理结果")
    @TableField("handle_result")
    private String handleResult;

    @ApiModelProperty(value = "处理时间(时间戳)")
    @TableField("handle_time")
    private Date handleTime;

  //业务字段
    @TableField(exist = false)
    private String orgName;
    @TableField(exist = false)
    private String alarmTypeName;
    @TableField(exist = false)
    private String eqName;
    @TableField(exist = false)
    private String proName;
    @TableField(exist = false)
    private String labelName;

}
