package com.unissoft.alarm.service;

import com.unissoft.alarm.model.AlarmRecord;
import com.unissoft.common.PageParam;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.deviceManage.model.DeviceDataPoint;

/**
 * <p>
 * 报警记录表 服务类
 * </p>
 *
 * @author root
 * @since 2022-06-27
 */
public interface AlarmRecordService extends IService<AlarmRecord> {

	IPage<AlarmRecord> getPageList(PageParam pageParam);

	List<AlarmRecord> getTodoList(String orgCode);

	AlarmRecord queryById(Long id);

	/**
	 * 过滤数据保存报警记录
	 * @param sn SN 编号
	 * @param deviceDataPoints 消息数据list对象
	 */
	void saveAlarmRecord(String sn, List<DeviceDataPoint> deviceDataPoints);

    void updateAlarmRecordById(AlarmRecord alarmRecord);

    List<Map> alarmRecordVis(String orgCode, String labelCode, Integer pageSize);
}
