package com.unissoft.basic.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.basic.model.AlarmParam;
import com.unissoft.basic.model.AlarmParamList;
import com.unissoft.basic.service.AlarmParamService;
import com.unissoft.common.MyConstant;
import com.unissoft.common.PageParam;
import com.unissoft.common.ResultView;
import com.unissoft.common.SystemLog;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * <p>
 * 报警参数设置表 前端控制器
 * </p>
 *
 * @author root
 * @since 2022-06-21
 */
@Api(tags = "参数设置")
@RestController
@RequestMapping("/alarm-param")
public class AlarmParamController {
    @Resource
    private AlarmParamService alarmParamService;

    @PostMapping("/getPageList")
    @ApiOperation(value = "报警参数", notes = "分页列表,orgCode 非空")
    public ResultView getPageList(@RequestBody PageParam pageParam) {
        try {
            IPage<AlarmParam> pageList = alarmParamService.getPageList(pageParam);
            return ResultView.success(pageList);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
    }

    @PostMapping("/save")
    @ApiOperation(value = "报警参数", notes = "新增")
    @SystemLog(operModul = "参数设置", operType = "报警参数", operDesc = "新增报警参数")
    public ResultView saveList(@RequestBody AlarmParamList alarmParamList) {
        try {
            long id = alarmParamService.saveList(alarmParamList);
            return ResultView.success(id);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
    }

    @PostMapping("/update")
    @ApiOperation(value = "报警参数", notes = "修改")
    @SystemLog(operModul = "参数设置", operType = "报警参数", operDesc = "修改报警参数")
    public ResultView saveOrUpdate(@RequestBody AlarmParamList alarmParamList) {
        try {
            alarmParamService.updateList(alarmParamList);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
        return ResultView.success();
    }

    @ApiOperation(value = "报警参数", notes = "根据id查询")
    @GetMapping("/getByIdList/{id}")
    public ResultView getByIdList(@PathVariable Long id) {
        AlarmParamList alarmParamList = alarmParamService.getByIdList(id);
        return ResultView.success(alarmParamList);
    }

    @GetMapping("/deleteById/{id}")
    @ApiOperation(value = "报警参数", notes = "根据id删除")
    @SystemLog(operModul = "参数设置", operType = "报警参数", operDesc = "删除报警参数")
    public ResultView deleteById(@PathVariable Long id) {
        if (alarmParamService.removeById(id)) {
            return ResultView.success();
        }
        return ResultView.error(MyConstant.ID_NULL);
    }

    // 参数设置-设备信息列表(选择设备)

}
