package com.unissoft.basic.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.yitter.idgen.YitIdHelper;
import com.unissoft.basic.model.BasicEnum;
import com.unissoft.basic.service.BasicEnumService;
import com.unissoft.common.PageParam;
import com.unissoft.common.ResultView;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author root
 * @since 2021-10-20
 */
@Api(tags = "数据字典")
@RestController
@RequestMapping("/basic-enum")
public class BasicEnumController {

	private BasicEnumService enumService;

    @Autowired
    public void setBasicEnumController(BasicEnumService enumService) {
        this.enumService = enumService;
    }

    /**
     * 新增
     * @param basicEnum
     * @return
     */
    @ApiOperation(value = "数据字典", notes = "保存")
    @PostMapping("/save")
    public ResultView save(@RequestBody BasicEnum basicEnum) {
        basicEnum.setId(YitIdHelper.nextId());
        basicEnum.setCreateTime(new Date());
        boolean save = enumService.save(basicEnum);
        if (save)
            return ResultView.success();
        else
            return ResultView.error();
    }

    /**
     * 分页查询列表
     * @param pageParam
     * @return
     */
    @PostMapping("/getPage")
    @ApiOperation(value = "数据字典", notes = "分页列表")
    public ResultView getPage(@RequestBody PageParam pageParam) {
        IPage<BasicEnum> page = enumService.getPage(pageParam);
        return ResultView.success(page);
    }


    
    /**
     * 修改
     * @param basicEnum
     * @return
     */
    @ApiOperation(value = "数据字典", notes = "修改")
    @PostMapping("/update")
    public ResultView update(@RequestBody BasicEnum basicEnum) {
    	basicEnum.setUpdateTime(new Date());
        boolean b = enumService.updateById(basicEnum);
        if (b)
            return ResultView.success();
        else
            return ResultView.error();
    }
    
    
    /**
	 * 获取数据字典json树结构
	 * @return
	 */
    @PostMapping("/getTree")
	@ApiOperation(value="查询字典数据树", notes="查询字典数据树")
	public ResultView getTree(@RequestBody PageParam pageParam) {
		List<BasicEnum> list = enumService.queryByTree(pageParam);
		return ResultView.success(list);
	}
}
