package com.unissoft.basic.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.basic.model.RemoteParams;
import com.unissoft.basic.service.RemoteParamsService;
import com.unissoft.common.MyConstant;
import com.unissoft.common.PageParam;
import com.unissoft.common.ResultView;
import com.unissoft.common.SystemLog;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author root
 * @since 2022-07-12
 */
@Api(tags = "参数设置")
@RestController
@RequestMapping("/remote-params")
public class RemoteParamsController {
    @Resource
    private RemoteParamsService paramsService;

    @PostMapping("/getPageList")
    @ApiOperation(value = "协议管理", notes = "分页列表")
    public ResultView getPageList(@RequestBody PageParam pageParam) {
        try {
            IPage<RemoteParams> pageList = paramsService.getPageList(pageParam);
            return ResultView.success(pageList);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
    }

    @PostMapping("/saveOrUpdate")
    @ApiOperation(value = "协议管理", notes = "新增(id为空),修改(根据id修改)")
    @SystemLog(operModul = "参数设置", operType = "协议管理", operDesc = "编辑")
    public ResultView saveOrUpdate(@RequestBody RemoteParams remoteParams) {
        try {
            paramsService.saveAndUpdate(remoteParams);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
        return ResultView.success();
    }

    @ApiOperation(value = "协议管理", notes = "根据id查询")
    @GetMapping("/getById/{id}")
    public ResultView getById(@PathVariable Long id) {
        RemoteParams remoteParams = paramsService.getById(id);
        return ResultView.success(remoteParams);
    }

    @GetMapping("/deleteById/{id}")
    @ApiOperation(value = "协议管理", notes = "根据id删除")
    @SystemLog(operModul = "参数设置", operType = "协议管理", operDesc = "删除")
    public ResultView deleteById(@PathVariable Long id) {
        if (paramsService.removeById(id)) {
            return ResultView.success();
        }
        return ResultView.error(MyConstant.ID_NULL);
    }

}
