package com.unissoft.basic.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.basic.model.SiteType;
import com.unissoft.basic.service.SiteTypeService;
import com.unissoft.common.MyConstant;
import com.unissoft.common.PageParam;
import com.unissoft.common.ResultView;
import com.unissoft.common.SystemLog;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * <p>
 * 站点类型表 前端控制器
 * </p>
 *
 * @author root
 * @since 2022-06-23
 */
@Api(tags = "参数设置")
@RestController
@RequestMapping("/site-type")
public class SiteTypeController {
    @Resource
    private SiteTypeService siteTypeService;

    @PostMapping("/getPageList")
    @ApiOperation(value = "站点类型", notes = "分页列表,orgCode 非空")
    public ResultView getPageList(@RequestBody PageParam pageParam) {
        try {
            IPage<SiteType> pageList = siteTypeService.getPageList(pageParam);
            return ResultView.success(pageList);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
    }

    @PostMapping("/saveOrUpdate")
    @ApiOperation(value = "站点类型", notes = "新增(id为空),修改(根据id修改)")
    @SystemLog(operModul = "参数设置", operType = "站点类型", operDesc = "新增修改站点类型")
    public ResultView saveOrUpdate(@RequestBody SiteType siteType) {
        try {
            siteTypeService.saveAndUpdate(siteType);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
        return ResultView.success();
    }

    @ApiOperation(value = "站点类型", notes = "根据id查询")
    @GetMapping("/getById/{id}")
    public ResultView getById(@PathVariable Long id) {
        SiteType siteType = siteTypeService.getById(id);
        return ResultView.success(siteType);
    }

    @GetMapping("/deleteById/{id}")
    @ApiOperation(value = "站点类型", notes = "根据id删除")
    @SystemLog(operModul = "参数设置", operType = "站点类型", operDesc = "删除")
    public ResultView deleteById(@PathVariable Long id) {
        if (siteTypeService.removeById(id)) {
            return ResultView.success();
        }
        return ResultView.error(MyConstant.ID_NULL);
    }

}
