package com.unissoft.basic.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 报警参数设置表
 * </p>
 *
 * @author root
 * @since 2022-06-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("alarm_param")
@ApiModel(value="AlarmParam对象", description="报警参数设置表")
public class AlarmParam implements Serializable {
    private static final long serialVersionUID = -4582750271652340421L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    @ApiModelProperty(value = "组织机构编码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "设备编码(多设备用逗号隔开)")
    @TableField("eq_code")
    private String eqCode;

    @ApiModelProperty(value = "设备标签编码")
    @TableField("label_code")
    private String labelCode;

    @ApiModelProperty(value = "报警类型编码(字典编码)")
    @TableField("alarm_type_code")
    private String alarmTypeCode;

    @ApiModelProperty(value = "报警类型名称(字典名)")
    @TableField("alarm_type_name")
    private String alarmTypeName;

    @ApiModelProperty(value = "报警高限阀值(保留2位小数)")
    @TableField("alarm_value_max")
    private BigDecimal alarmValueMax;

    @ApiModelProperty(value = "报警底限阀值(保留2位小数)")
    @TableField("alarm_value_min")
    private BigDecimal alarmValueMin;

    @ApiModelProperty(value = "是否开启(0:否,1:是)")
    @TableField("off_or_on")
    private String offOrOn;

    @ApiModelProperty(value = "创建用户")
    @TableField("user_name")
    private String userName;

    @ApiModelProperty(value = "数据创建更新时间戳")
    @TableField("update_time")
    private Date updateTime;


}
