package com.unissoft.basic.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author root
 * @since 2021-10-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("basic_enum")
@ApiModel(value="BasicEnum对象", description="")
public class BasicEnum implements Serializable {
    private static final long serialVersionUID = -4802306319678963191L;

    @ApiModelProperty(value = "字典表")
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    @ApiModelProperty(value = "编码")
    @TableField("enum_code")
    private String enumCode;

    @ApiModelProperty(value = "名称")
    @TableField("enum_name")
    private String enumName;

    @ApiModelProperty(value = "父节点id")
    @TableField("parent_id")
    private Long parentId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "描述")
    @TableField("remark")
    private String remark;

    @ApiModelProperty(value = "使用状态（1：启用，2：停用）")
    @TableField("use_state")
    private Integer useState;

    @ApiModelProperty(value = "修改时间")
    @TableField("update_time")
    private Date updateTime;
    
    @TableField(exist = false)
    private List<BasicEnum> children;

}
