package com.unissoft.basic.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author root
 * @since 2022-07-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("remote_params")
@ApiModel(value="RemoteParams对象", description="远程参数")
public class RemoteParams implements Serializable {
    private static final long serialVersionUID = -7935898124691860154L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    @ApiModelProperty(value = "协议类型编码")
    @TableField("protocol_type")
    private String protocolType;

    @ApiModelProperty(value = "通讯地址(mqtt消息主题,tcp ip)")
    @TableField("protocol_topic")
    private String protocolTopic;

    @ApiModelProperty(value = "消息级别,默认0(0:至多一次,1:至少一次,2:确保只有一次),TCP 波特率")
    @TableField("protocol_qos")
    private Integer protocolQos;

    @ApiModelProperty(value = "协议描述")
    @TableField("protocol_desc")
    private String protocolDesc;

    @ApiModelProperty(value = "创建人")
    @TableField("build_user")
    private String buildUser;

    @ApiModelProperty(value = "创建时间")
    @TableField("build_time")
    private Date buildTime;


}
