package com.unissoft.basic.model;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 定时任务设置表
 * </p>
 *
 * @author root
 * @since 2022-06-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("timing_task")
@ApiModel(value="TimingTask对象", description="定时任务设置表")
public class TimingTask implements Serializable {
    private static final long serialVersionUID = -6772332526832757561L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    @ApiModelProperty(value = "组织机构编码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "任务名称")
    @TableField("task_name")
    private String taskName;

    @ApiModelProperty(value = "设备编码(间隔符',')")
    @TableField("eq_code")
    private String eqCode;

    @ApiModelProperty(value = "计划检测时间描述(cron表达式描述)")
    @TableField("detection_desc")
    private String detectionDesc;

    @ApiModelProperty(value = "cron表达式")
    @TableField("detection_cron")
    private String detectionCron;

    @ApiModelProperty(value = "设备数量(执行定时任务的设备数量)")
    @TableField("eq_sum")
    private Integer eqSum;

    @ApiModelProperty(value = "创建用户")
    @TableField("user_name")
    private String userName;

    @ApiModelProperty(value = "定时任务beanName(java class name)")
    @TableField("bean_name")
    private String beanName;

    @ApiModelProperty(value = "方法名(java moethod)")
    @TableField("method_name")
    private String methodName;

    @ApiModelProperty(value = "方法参数(java method params)")
    @TableField("method_params")
    private String methodParams;

    @ApiModelProperty(value = "是否开启(0关 1开)")
    @TableField("on_or_off")
    private Integer onOrOff;

    @ApiModelProperty(value = "前端选择框回显(\"objTime\":{\"week\":[],\"month\":[],\"timeType\":\"\",\"time\":\"\",\"dateTime\":\"\"})")
    @TableField("obj_time")
    private String objTime;

    @ApiModelProperty(value = "产品分类(子集)")
    @TableField("product_category_code")
    private String productCategoryCode;

    @ApiModelProperty(value = "设备标签(仓房编码)")
    @TableField("label_code")
    private String labelCode;

    @ApiModelProperty(value = "创建时间")
    @TableField("build_time")
    private Date buildTime;


}
