package com.unissoft.basic.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.basic.model.TimingTask;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.basic.model.TimingTaskList;
import com.unissoft.basic.model.TimingTaskReq;
import com.unissoft.common.PageParam;
import com.unissoft.deviceManage.model.CheckParams;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 定时任务设置表 服务类
 * </p>
 *
 * @author root
 * @since 2022-06-24
 */
public interface TimingTaskService extends IService<TimingTask> {

    IPage<TimingTask> getPageList(PageParam pageParam);

    void saveList(TimingTaskList timingTaskList);

    void updateList(TimingTaskList timingTaskList);

    TimingTaskList getByIdList(Long id);

    boolean deleteById(Long id);

    Long saveTask(TimingTaskReq timingTaskReq);

    void updateTask(TimingTaskReq timingTaskReq);

    /**
     * 查询执行检测需要的参数
     * @param id 主键
     * @return timingTask object
     */
    CheckParams executorTimingParam(Long id);

    List<Map<String, Object>> getByTask(String orgCode, String eqCode);
}
