package com.unissoft.common;

import com.unissoft.enums.BeanEnum;

/**
 * @author qingsong.han
 * @description: 定时任务获取转换beanName, methodName, params
 * @create 2022-06-28 9:22
 */
public class ConvertBeanName {

    /**
     * 编码转换bean
     *
     * @param expression 产品标签code
     * @return BeanEnum
     */
    public static BeanEnum convertMethod(String expression) {
        switch (expression) {
            case "200101":
                return BeanEnum.TEMP_WET_CHECK_BEAN; // 温湿度一体设备
            case "200102":
                return BeanEnum.TEMP_CHECK_BEAN; // 测温
            case "200103":
                return BeanEnum.WET_CHECK_BEAN; // 测湿
            default:
                throw new IllegalArgumentException("I don't know BeanEnum response result!");
        }

    }

}
