package com.unissoft.deviceManage.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.common.PageParam;
import com.unissoft.common.ResultView;
import com.unissoft.deviceManage.model.DevicePoint;
import com.unissoft.deviceManage.service.DeviceDataService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * <p>
 * 设备检测结果(温湿度) 前端控制器
 * </p>
 *
 * @author root
 * @since 2022-07-07
 */
@Api(tags = "设备管理")
@RestController
@RequestMapping("/device-data")
public class DeviceDataController {
    @Resource
    private DeviceDataService deviceDataService;

    @PostMapping("/getPintsPageList")
    @ApiOperation(value = "设备", notes = "运行数据-历史数据")
    public ResultView getPintsPageList(@RequestBody PageParam pageParam) {
        try {
            IPage<DevicePoint> pageList = deviceDataService.getPintsPageList(pageParam);
            return ResultView.success(pageList);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
    }

}
