package com.unissoft.deviceManage.controller;

import com.unissoft.common.ResultView;
import com.unissoft.deviceManage.model.CheckParams;
import com.unissoft.deviceManage.model.DeviceData;
import com.unissoft.deviceManage.service.DeviceDataService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.validation.Valid;
import javax.validation.constraints.NotNull;

/**
 * @author qingsong.han
 * @description: 测温指令接口
 * @create 2022-07-04 14:50
 */
@Slf4j
@Api(tags = "接收设备指令")
@RestController
@RequestMapping("/gotOrders")
public class GotOrdersController {
    /*@Resource
    private GotOrdersService ordersService;*/
    @Resource
    private DeviceDataService deviceDataService;

    //

    /**
     * 接收检测指令集
     *
     * @param checkParams 调用设备参数(MQTT)
     * @return HTTP STATUS
     */
    /*@PostMapping("/send")
    @ApiOperation(value = "调用设备", notes = "接收设备指令")
    public ResultView sendCheckForTemp(@RequestBody CheckParams checkParams) {
        try {
            // 设备编码截取
            if (!Objects.isNull(checkParams)) {
                // 检测逻辑
                ordersService.sendOrderForTW(checkParams);
            } else {
                return ResultView.error();
            }
            return ResultView.success();
        } catch (Exception e) {
            e.printStackTrace();
            log.error("调用设备异常: {}", e.getMessage());
            return ResultView.error();
        }
    }*/

    /**
     * http://localhost:8071/device-data/save?orgCode=307308681810054&eqCode=306943820628102
     * 手动检测接口-温湿度
     *
     * @param checkParams 获取持久化参数 orgCode,eqCode
     */
    @PostMapping("/send")
    @ApiOperation(value = "调用设备", notes = "接收设备指令")
    public ResultView sendCheckForTemp(@Valid @NotNull @RequestBody CheckParams checkParams) {
        try {
            DeviceData deviceData = deviceDataService.saveTempWet(checkParams);
            return ResultView.success(deviceData);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error(e.getMessage());
        }
    }

}
