package com.unissoft.deviceManage.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.deviceManage.model.DeviceData;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.unissoft.deviceManage.model.DeviceJoinData;
import com.unissoft.deviceManage.model.DeviceRunData;
import com.unissoft.visualisation.model.VisMonthWeek;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 设备检测结果(温湿度) Mapper 接口
 * </p>
 *
 * @author root
 * @since 2022-07-07
 */
@Repository
public interface DeviceDataMapper extends BaseMapper<DeviceData> {

    // 方式一写在java
    /*@Select("SELECT\n" +
            "\tt1.id,\n" +
            "\tt1.org_code,\n" +
            "\tt1.eq_code,\n" +
            "\tt1.data_type,\n" +
            "\tt1.data_time,\n" +
            "\tt1.store_house,\n" +
            "\tt1.label_code,\n" +
            "\tt2.label_name,\n" +
            "\tt1.max_value,\n" +
            "\tt1.min_value,\n" +
            "\tt1.avg_value,\n" +
            "\tt1.points\n" +
            "FROM\n" +
            "\tdevice_data t1\n" +
            "LEFT JOIN device_label t2 ON t1.org_code = t2.org_code\n" +
            "AND t1.label_code = t2.label_code\n" +
            "\t${ew.customSqlSegment}")*/
    // 方式二写在xml
    IPage<DeviceData> selectPageList(IPage<DeviceData> page, @Param("ew") Wrapper<DeviceData> wrapper);

    List<DeviceJoinData> getDeviceRunData(@Param("id") Long id);

    List<DeviceData> initPointsDraw(@Param("orgCode") String orgCode, @Param("labelCode") String labelCode, @Param("pageSize") Integer pageSize);

    List<VisMonthWeek> monthAndWeek(@Param("orgCode") String orgCode, @Param("labelCode") String labelCode, @Param("begin") String begin, @Param("end") String end);
}
