package com.unissoft.deviceManage.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.deviceManage.model.CheckParams;
import com.unissoft.deviceManage.model.DeviceInfo;

import com.unissoft.deviceManage.model.GotSqlParams;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 设备信息表 Mapper 接口
 * </p>
 *
 * @author root
 * @since 2022-06-16
 */
@Repository
public interface DeviceInfoMapper extends BaseMapper<DeviceInfo> {

    List<DeviceInfo> selectInEqCodeList(@Param("eqCodes") String[] eqCodes, @Param("orgCode") String orgCode, @Param("labelCode") String labelCode);

    IPage<DeviceInfo> selectPageList(IPage<DeviceInfo> page, @Param("ew") QueryWrapper<DeviceInfo> queryWrapper);

    GotSqlParams gotOrderParam(@Param("cp") CheckParams checkParams);

    DeviceInfo queryById(Long id);

    void updateProCodeById(Long id);

    List<DeviceInfo> proCodeFromOrgCodeAndLabelCode(@Param("orgCode") String orgCode, @Param("labelCode") String labelCode);

}
