package com.unissoft.deviceManage.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @author qingsong.han
 * @description: 设备请求检测参数对象
 * @create 2022-07-15 14:00
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "CheckTemp对象", description = "设备参数对象")
@Validated
public class CheckParams {

    @NotBlank(message = "orgCode is null")
    @ApiModelProperty(value = "组织机构编码")
    private String orgCode;

    @NotBlank(message = "labelCode is null")
    @ApiModelProperty(value = "设备标签编码(对应平台仓房编码)")
    private String labelCode;

    @NotBlank(message = "proCategoryCode is null")
    @ApiModelProperty(value = "产品类别(温湿度产品:200101,温度产品:200102,湿度产品:200103)")
    private String proCategoryCode;

    @ApiModelProperty(value = "设备编码(间隔符',')")
    private String eqCode;

}
