package com.unissoft.deviceManage.model;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 设备检测结果(温湿度)
 * </p>
 *
 * @author root
 * @since 2022-07-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("device_data")
@ApiModel(value="DeviceData对象", description="设备检测结果(温湿度)")
public class DeviceData implements Serializable {
    private static final long serialVersionUID = 4515176324052405160L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    @ApiModelProperty(value = "组织机构编码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "设备编码")
    @TableField("eq_code")
    private String eqCode;

    @ApiModelProperty(value = "数据类型(03:温湿度)")
    @TableField("data_type")
    private String dataType;

    @ApiModelProperty(value = "检测获取数据时间")
    @TableField("data_time")
    private Date dataTime;

    @ApiModelProperty(value = "所属产品编码")
    @TableField("pro_code")
    private String proCode;

    @ApiModelProperty(value = "设备标签编码")
    @TableField("label_code")
    private String labelCode;

    @ApiModelProperty(value = "最高温")
    @TableField("max_value")
    private Double maxValue;

    @ApiModelProperty(value = "最低温")
    @TableField("min_value")
    private Double minValue;

    @ApiModelProperty(value = "平均温")
    @TableField("avg_value")
    private Double avgValue;

    @ApiModelProperty(value = "最高湿度")
    @TableField("max_wet")
    private Double maxWet;

    @ApiModelProperty(value = "最低湿度")
    @TableField("min_wet")
    private Double minWet;

    @ApiModelProperty(value = "平均湿度")
    @TableField("avg_wet")
    private Double avgWet;

    @ApiModelProperty(value = "最高露点温度")
    @TableField("max_dew")
    private Double maxDew;

    @ApiModelProperty(value = "最低露点温度")
    @TableField("min_dew")
    private Double minDew;

    @ApiModelProperty(value = "平均露点温度")
    @TableField("avg_dew")
    private Double avgDew;

    @ApiModelProperty(value = "点温(json字符串)")
    @TableField("points")
    private String points;

}
