package com.unissoft.deviceManage.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author qingsong.han
 * @description: 温湿度点位信息
 * @create 2022-07-07 10:13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="DeviceDataPoint对象", description="温湿度点位信息")
public class DeviceDataPoint implements Serializable {
    private static final long serialVersionUID = -8920164153083914872L;

    @ApiModelProperty(value = "设备编号")
    private String device;

    @ApiModelProperty(value = "温度值")
    private Double tempValue;

    @ApiModelProperty(value = "湿度值")
    private Double wetValue;

    @ApiModelProperty(value = "露点值")
    private Double dewValue;

}
