package com.unissoft.deviceManage.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 设备信息表
 * </p>
 *
 * @author root
 * @since 2022-06-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("device_info")
@ApiModel(value="DeviceInfo对象", description="设备信息表")
public class DeviceInfo implements Serializable {
    private static final long serialVersionUID = -2104668951298539524L;

    @ApiModelProperty(value = "设备id")
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    @ApiModelProperty(value = "设备编码")
    @TableField("eq_code")
    private String eqCode;

    @ApiModelProperty(value = "设备名称")
    @TableField("eq_name")
    private String eqName;

    @ApiModelProperty(value = "所属产品编码")
    @TableField("pro_code")
    private String proCode;

    @ApiModelProperty(value = "所属组织机构编码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "标签编码")
    @TableField("label_code")
    private String labelCode;

    @ApiModelProperty(value = "设备状态(0:离线,1:在线)")
    @TableField("eq_status")
    private String eqStatus;

    @ApiModelProperty(value = "注册时间")
    @TableField("register_time")
    private Date registerTime;

    @ApiModelProperty(value = "最后上线时间")
    @TableField("last_online_time")
    private Date lastOnlineTime;

    @ApiModelProperty(value = "设备描述")
    @TableField("eq_remark")
    private String eqRemark;
    
    @ApiModelProperty(value = "所属仓房编码")
    @TableField("house_code")
    private String houseCode;
    
    //业务字段
    @ApiModelProperty(value = "标签名称")
    @TableField(exist = false)
    private String labelName;

    @ApiModelProperty(value = "所属组织机构名称")
    @TableField(exist = false)
    private String orgName;

    @ApiModelProperty(value = "所属产品名称")
    @TableField(exist = false)
    private String proName;


}
