package com.unissoft.deviceManage.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.util.List;

/**
 * @author qingsong.han
 * @description: 设备关联产品
 * @create 2022-09-21 10:34
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="DeviceInfoJoinProduct对象", description="设备关联产品")
public class DeviceInfoJoinProduct implements Serializable {
    private static final long serialVersionUID = 8887627601120535968L;

    @ApiModelProperty(value = "关联设备集")
    private List<DeviceInfo> deviceInfoList;

    @ApiModelProperty(value = "产品编码")
    @NotBlank
    private String proCode;

}
