package com.unissoft.deviceManage.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 设备标签信息表
 * </p>
 *
 * @author root
 * @since 2022-06-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("device_label")
@ApiModel(value="DeviceLabel对象", description="设备标签信息表")
public class DeviceLabel implements Serializable {
    private static final long serialVersionUID = 323551996338213959L;

    @ApiModelProperty(value = "设备标签id")
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    @ApiModelProperty(value = "标签编码")
    @TableField("label_code")
    private String labelCode;

    @ApiModelProperty(value = "标签名称")
    @TableField("label_name")
    private String labelName;

    @ApiModelProperty(value = "标签备注")
    @TableField("label_remark")
    private String labelRemark;

    @ApiModelProperty(value = "数据编辑时间")
    @TableField("update_time")
    private Date updateTime;
    
    
    @ApiModelProperty(value = "所属组织机构编码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "所属组织机构名称")
    @TableField("org_name")
    private String orgName;
    
    @ApiModelProperty(value = "删除标记(0可以删除，1不可以删除)")
    @TableField("del_flag")
    private Integer delFlag;


}
