package com.unissoft.deviceManage.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * @author qingsong.han
 * @description: 单点数据对象
 * @create 2022-09-09 11:15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("device_point")
@ApiModel(value="DevicePoint对象", description="设备单点温湿度表")
public class DevicePoint implements Serializable {
    private static final long serialVersionUID = 3001068862467912603L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    @ApiModelProperty(value = "设备编号")
    @TableField("deviceAlarm")
    private String device;

    @ApiModelProperty(value = "设备标签编码")
    @TableField("label_code")
    private String labelCode;

    @ApiModelProperty(value = "温度值")
    @TableField("temp_value")
    private Double tempValue;

    @ApiModelProperty(value = "湿度值")
    @TableField("wet_value")
    private Double wetValue;

    @ApiModelProperty(value = "露点值")
    @TableField("dew_value")
    private Double dewValue;

    @ApiModelProperty(value = "检测时间")
    @TableField("dev_time")
    private Date time;

    @ApiModelProperty(value = "机构编码")
    @TableField("org_code")
    private String orgCode;


}
