package com.unissoft.deviceManage.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * @author qingsong.han
 * @description: 设备运行数据详情页-专用
 * @create 2022-09-20 15:44
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="DeviceRunData对象", description="设备运行数据详情页-专用")
public class DeviceRunData implements Serializable {
    private static final long serialVersionUID = -1453380275329182801L;

    @ApiModelProperty(value = "设备名称")
    private String eqName;

    @ApiModelProperty(value = "设备标签名")
    private String labelName;

    @ApiModelProperty(value = "设备编号(ID)")
    private String device;

    @ApiModelProperty(value = "温度值")
    private Double tempValue;

    @ApiModelProperty(value = "湿度值")
    private Double wetValue;

    @ApiModelProperty(value = "露点值")
    private Double dewValue;

}
