package com.unissoft.deviceManage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.common.PageParam;
import com.unissoft.deviceManage.model.CheckParams;
import com.unissoft.deviceManage.model.DeviceData;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.deviceManage.model.DevicePoint;
import com.unissoft.deviceManage.model.DeviceRunData;
import com.unissoft.visualisation.model.VisMonthWeek;

import java.util.List;

/**
 * <p>
 * 设备检测结果(温湿度) 服务类
 * </p>
 *
 * @author root
 * @since 2022-07-07
 */
public interface DeviceDataService extends IService<DeviceData> {

    /**
     * 保存
     *
     * @param params 1.orgCode
     *               2.设备编码
     *               3.设备类型03温湿度->字典200101
     */
    DeviceData saveTempWet(CheckParams params);

    /**
     * 分页列表-持久化数据
     *
     * @param pageParam 条件数据
     * @return 分页列表数据
     */
    IPage<DeviceData> getPageList(PageParam pageParam);

    /**
     *
     * @param pageParam 分页条件
     * @return
     */
    IPage<DevicePoint> getPintsPageList(PageParam pageParam);

    /**
     * 设备运行数据详情
     * @param id 主键
     * @return list
     */
    List<DeviceRunData> getDeviceRunData(Long id);

    /**
     * 初始化点位数据
     * @param orgCode 机构编码
     * @param labelCode 仓房||产品编码
     * @param pageSize 自定义第一页n条
     * @return list
     */
    List<DeviceData> initPointsDraw(String orgCode, String labelCode, Integer pageSize);

    /**
     * 温湿度数据可视化月和周趋势图
     * @param orgCode 机构编码
     * @param labelCode 仓房||产品编码
     * @param begin 开始日期
     * @param end 结束日期
     * @return list
     */
    List<VisMonthWeek> monthAndWeek(String orgCode, String labelCode, String begin, String end);
}
