package com.unissoft.deviceManage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.common.PageParam;
import com.unissoft.common.ResultView;
import com.unissoft.deviceManage.model.DeviceInfo;
import com.unissoft.deviceManage.model.DeviceInfoJoinProduct;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 设备信息表 服务类
 * </p>
 *
 * @author root
 * @since 2022-06-16
 */
public interface DeviceInfoService extends IService<DeviceInfo> {

    IPage<DeviceInfo> getPageList(PageParam pageParam);

    void saveAndUpdate(DeviceInfo deviceInfo);

	ResultView deleteById(Long id);

	DeviceInfo queryById(Long id);

    /**
     * 产品-取消关联
     * @param id 主键
     */
    void disassociateProduct(Long id);

    /**
     * 产品-添加关联
     * @param deviceInfoJoinProduct 需要添加的设备信息集
     */
    void addAssociationsProduct(DeviceInfoJoinProduct deviceInfoJoinProduct);

    List<DeviceInfo> proCodeFromOrgCodeAndLabelCode(String orgCode, String labelCode);
}
