package com.unissoft.deviceManage.service.impl;

import com.alibaba.fastjson.JSON;
import com.unissoft.common.MyConstant;
import com.unissoft.deviceManage.mapper.DeviceInfoMapper;
import com.unissoft.deviceManage.model.CheckParams;
import com.unissoft.deviceManage.model.GotSqlParams;
import com.unissoft.deviceManage.service.GotOrdersService;
import com.unissoft.mqtt.outbound.MqttMessageSender;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import javax.annotation.Resource;
import java.util.Map;
import java.util.Objects;

/**
 * @author qingsong.han
 * @description:
 * @create 2022-07-08 9:37
 */
@Slf4j
@Service
public class GotOrdersServiceImpl implements GotOrdersService {
    @Resource
    private MqttMessageSender messageSender;
    @Resource
    private DeviceInfoMapper deviceInfoMapper;

    /**
     * TODO 已修改为实时数据暂时不需要指令检测
     * @param checkParams MQTT设备调用参数
     */
    @Override
    public void sendOrderForTW(CheckParams checkParams) {
        // 查询产品信息
        GotSqlParams mqttParam = deviceInfoMapper.gotOrderParam(checkParams);
        log.info("mqttParam: {}", JSON.toJSONString(mqttParam));
        // TODO payload 指令参数待确定
        // 发送mqtt指令
        String topic = mqttParam.getProtocolTopic();
        if (!StringUtils.isEmpty(topic)) {
            String eqCodes = checkParams.getEqCode();
            if (StringUtils.isEmpty(eqCodes))
                // 获取标签(仓房)所有点数据
                messageSender.sendToMqtt(mqttParam.getProtocolTopic(), mqttParam.getProtocolQos(), MyConstant.TEMP_ORDER);
            else
                // TODO 获取某几个点数据
                sendToChoosePintMqtt(mqttParam, eqCodes);
        } else {
            throw new IllegalArgumentException("topic cannot be null!");
        }
    }

    private void sendToChoosePintMqtt(GotSqlParams mqttParam, String eqCodes) {
        String[] split = eqCodes.split(",");
        for (String s : split) {
            log.info("拼接单个设备检测指令: {}", s);
            messageSender.sendToMqtt(mqttParam.getProtocolTopic(), mqttParam.getProtocolQos(), MyConstant.TEMP_ORDER);
        }
    }

}
