package com.unissoft.mqtt.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author qingsong.han
 * @description: mqtt 发送消息 动态参数
 * @create 2022-07-06 10:22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="MqttParams对象", description="mqtt动态参数")
public class MqttParams implements Serializable {
    private static final long serialVersionUID = 6309804676917150553L;

    @NotNull
    @ApiModelProperty(value = "消息主题")
    private String topic;

    @ApiModelProperty(value = "消息级别,默认0(0:至多一次,1:至少一次,2:确保只有一次)")
    private int qos;

    @ApiModelProperty(value = "消息体")
    private String payload;

}
