package com.unissoft.productManage.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 产品分类表
 * </p>
 *
 * @author root
 * @since 2022-06-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("product_category")
@ApiModel(value="ProductCategory对象", description="产品分类表")
public class ProductCategory implements Serializable {
    private static final long serialVersionUID = -1150924738976139297L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    @ApiModelProperty(value = "产品分类编码")
    @TableField("product_category_code")
    private String productCategoryCode;

    @ApiModelProperty(value = "产品分类名称")
    @TableField("product_category_name")
    private String productCategoryName;

    @ApiModelProperty(value = "上级产品分类的id")
    @TableField("parent_id")
    private Long parentId;

    @ApiModelProperty(value = "备注")
    @TableField("pro_remark")
    private String proRemark;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;
    
    @ApiModelProperty(value = "所属组织机构编码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "所属组织机构名称")
    @TableField("org_name")
    private String orgName;
    
    @ApiModelProperty(value = "删除标记(0可以删除，1不可以删除)")
    @TableField("del_flag")
    private Integer delFlag;


}
