package com.unissoft.productManage.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 产品表
 * </p>
 *
 * @author root
 * @since 2022-06-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("product_info")
@ApiModel(value="ProductInfo对象", description="产品表")
public class ProductInfo implements Serializable {
    private static final long serialVersionUID = -8752769265212661520L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    @ApiModelProperty(value = "产品图标(图标存储地址)")
    @TableField("pro_icons")
    private String proIcons;

    @ApiModelProperty(value = "产品编码")
    @TableField("pro_code")
    private String proCode;

    @ApiModelProperty(value = "产品名称")
    @TableField("pro_name")
    private String proName;

    @ApiModelProperty(value = "产品类别(产品分类编码)")
    @TableField("pro_category_code")
    private String proCategoryCode;
    
    @ApiModelProperty(value = "所属组织机构编码")
    @TableField("org_code")
    private String orgCode;


    @ApiModelProperty(value = "所属用户(user_name)")
    @TableField("u_name")
    private String uName;

    @ApiModelProperty(value = "该产品设备合计数量")
    @TableField("eq_total")
    private Integer eqTotal;

    @ApiModelProperty(value = "通讯协议类型编码")
    @TableField("protocol_topic")
    private String protocolTopic;

    @ApiModelProperty(value = "产品描述")
    @TableField("pro_description")
    private String proDescription;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;
    
    @ApiModelProperty(value = "协议类型")
    @TableField("protocol_type")
    private String protocolType;


    //业务字段
    @TableField(exist = false)  
    private String proCategoryName;
    @TableField(exist = false)  
    private String orgName;
    @TableField(exist = false)  
    private String protocolTypeName;
}
