package com.unissoft.productManage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.common.PageParam;
import com.unissoft.common.ResultView;
import com.unissoft.productManage.model.ProductInfo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 产品表 服务类
 * </p>
 *
 * @author root
 * @since 2022-06-17
 */
public interface ProductInfoService extends IService<ProductInfo> {

	IPage<ProductInfo> getListPage(PageParam pageParam);

	ResultView deleteById(Long id);

	ProductInfo queryById(Long id);

	/**
	 * 查询组织机构编码对应的设备网关序列编码
	 * orgCode:proCode
	 * @return map
	 */
	List<Map<String, String>> orgCodeKnowProCode(String orgCode);

	void saveData(ProductInfo productInfo);

	void updateData(ProductInfo productInfo) throws Exception;

}
