package com.unissoft.systemManage.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.common.PageParam;
import com.unissoft.common.ResultView;
import com.unissoft.systemManage.model.LogOperation;
import com.unissoft.systemManage.service.LogOperationService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 操作日志表 前端控制器
 * </p>
 *
 * @author root
 * @since 2021-10-21
 */
@Api(tags = "操作日志")
@RestController
@RequestMapping("/logPeration")
public class LogOperationController {

    private LogOperationService operationService;
    @Autowired
    public void setOperationController(LogOperationService operationService) {
        this.operationService = operationService;
    }

    @PostMapping("/authority/getLogPage")
    @ApiOperation(value = "操作日志", notes = "分页列表")
    public ResultView getLogPage(@RequestBody PageParam pageParam) {
        IPage<LogOperation> page = operationService.getLogPage(pageParam);
        return ResultView.success(page);
    }

}
