package com.unissoft.systemManage.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 组织机构和仓房表
 * </p>
 *
 * @author root
 * @since 2021-10-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("org_info")
@ApiModel(value="OrgInfo对象", description="组织机构和仓房表")
public class OrgInfo implements Serializable {
    private static final long serialVersionUID = -2503673958220499389L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    @ApiModelProperty(value = "组织机构编码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "组织机构名称")
    @TableField("org_name")
    private String orgName;

    @ApiModelProperty(value = "机构状态(0:停用,1启用)")
    @TableField("org_state")
    private String orgState;

    @ApiModelProperty(value = "父级ID(默认值为0,0表示顶级机构)")
    @TableField("parent_id")
    private Long parentId;

    @ApiModelProperty(value = "组织简称")
    @TableField("short_name")
    private String shortName;

    @ApiModelProperty(value = "企业性质")
    @TableField("company_nature")
    private String companyNature;

    @ApiModelProperty(value = "联系地址")
    @TableField("address")
    private String address;

    @ApiModelProperty(value = "联系电话")
    @TableField("office_phone")
    private String officePhone;

    @ApiModelProperty(value = "负责人")
    @TableField("charge_person")
    private String chargePerson;

    @ApiModelProperty(value = "经度")
    @TableField("longitude")
    private String longitude;

    @ApiModelProperty(value = "纬度")
    @TableField("latitude")
    private String latitude;

    @ApiModelProperty(value = "创建时间")
    @TableField("build_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date buildTime;

    @ApiModelProperty(value = "最近一次修改时间")
    @TableField("update_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;

}
