package com.unissoft.systemManage.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 用户角色表
 * </p>
 *
 * @author root
 * @since 2021-10-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("role_info")
@ApiModel(value="RoleInfo对象", description="用户角色表")
public class RoleInfo implements Serializable {
    private static final long serialVersionUID = 4137112678736830168L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    @ApiModelProperty(value = "组织机构编码")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String orgCode;

    @ApiModelProperty(value = "角色编码")
    @TableField(value = "role_code" ,fill = FieldFill.INSERT_UPDATE)
    private String roleCode;

    @ApiModelProperty(value = "角色名称")
    @TableField("role_name")
    private String roleName;

    @ApiModelProperty(value = "角色状态(0:停用,1:启用)")
    @TableField("role_state")
    private String roleState;

    @ApiModelProperty(value = "角色权限(多个权限逗号分割)")
    @TableField("role_auth")
    private String roleAuth;

    @ApiModelProperty(value = "更新时间")
    @TableField("bulid_time")
    private Date bulidTime;

    @ApiModelProperty(value = "角色描述")
    @TableField("role_description")
    private String roleDescription;
    
    
    

}
