package com.unissoft.systemManage.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author root
 * @since 2021-10-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("user_info")
@ApiModel(value="UserInfo对象", description="用户信息")
public class UserInfo implements Serializable {
    private static final long serialVersionUID = -8758421438366866907L;

    @ApiModelProperty(value = "id主键")
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    @ApiModelProperty(value = "用户ID")
    @TableField("user_name")
    private String userName;

    @ApiModelProperty(value = "用户姓名")
    @TableField("user_real_name")
    private String userRealName;

    @ApiModelProperty(value = "用户密码")
    @TableField("user_password")
    private String userPassword;

    @ApiModelProperty(value = "用户角色")
    @TableField("user_role")
    private String userRole;


    @ApiModelProperty(value = "所属仓库编码(组织机构编码)")
    @TableField("org_code")
    private String orgCode;


    @ApiModelProperty(value = "管理仓房(管理仓房编码)")
    @TableField("manage_store")
    private String manageStore;


    @ApiModelProperty(value = "联系方式")
    @TableField("user_phone")
    private String userPhone;

    @ApiModelProperty(value = "用户状态-是否启用(0:停用,1:启用)")
    @TableField("user_state")
    private String userState;

    @ApiModelProperty(value = "创建时间")
    @TableField("build_time")
    private Date buildTime;
    
    
    //业务字段
    @TableField(exist = false)
    private String userRoleName;
    @TableField(exist = false)
    private String orgName;
    @TableField(exist = false)
    private String manageStoreName;

}
