package com.unissoft.utils;


import java.util.Calendar;
import java.util.HashMap;
import java.util.Map;

import com.auth0.jwt.JWT;
import com.auth0.jwt.JWTCreator;
import com.auth0.jwt.algorithms.Algorithm;
import com.auth0.jwt.interfaces.DecodedJWT;
import org.springframework.util.StringUtils;

public class JWTUtil {

    // 用于JWT进行签名加密的秘钥
    private static String SECRET = "code-duck-*%#@*!&";

    /**
     * @Param: 传入需要设置的payload信息
     * @return: 返回token
     */
    public static Map<String, Object> generateToken(Map<String, String> map, Object object) {
        JWTCreator.Builder builder = JWT.create();

        // 将map内的信息传入JWT的payload中
        map.forEach((k, v) -> {
            builder.withClaim(k, v);
        });

        // 设置JWT令牌的过期时间为24小时
        Calendar instance = Calendar.getInstance();
        instance.add(Calendar.HOUR, 24);
        builder.withExpiresAt(instance.getTime());

        Map<String, Object> mp = new HashMap<>(); //用来存放payload信息
        mp.put("token", builder.sign(Algorithm.HMAC256(SECRET)));
        mp.put("object", object);
        // 设置签名并返回token
        return mp;
    }

    /**
     * @Param: 传入token
     * @return:
     */
    public static void verify(String token) {
        if (!StringUtils.isEmpty(token)) // TODO 测试加判断生产环境去掉
            JWT.require(Algorithm.HMAC256(SECRET)).build().verify(token);
    }

    /**
     * @Param: 传入token
     * @return: 解密的token信息
     */
    public static DecodedJWT getTokenInfo(String token) {
        return JWT.require(Algorithm.HMAC256(SECRET)).build().verify(token);
    }
}
