package com.unissoft.visualisation.service;

import com.unissoft.basic.model.AlarmParam;
import com.unissoft.deviceManage.model.DevicePoint;
import com.unissoft.visualisation.service.impl.PointChild;

import java.util.List;
import java.util.Map;

/**
 * @author qingsong.han
 * @description:
 * @create 2022-10-17 10:39
 */
public interface VisualisationService {
    /**
     * 温湿度数据可视化报警参数
     * @param orgCode 机构编码
     * @param labelCode 仓房||产品编码
     * @return map
     */
    Map<String, List<AlarmParam>> alarmParamVis(String orgCode, String labelCode);

    /**
     * 初始化点位数据
     * @param orgCode 机构编码
     * @param labelCode 仓房||产品编码
     * @param pageSize 自定义第一页n条
     * @return list
     */
    PointChild initPointsDraw(String orgCode, String labelCode, Integer pageSize);

    /**
     * 温湿度数据可视化月和周趋势图
     * @param orgCode 机构编码
     * @param labelCode 仓房||产品编码
     * @param round 月(2)或周(7)
     * @return map
     */
    Map<String, Object> monthAndWeek(String orgCode, String labelCode, Integer round);

    List<Map> alarmRecord(String orgCode, String labelCode, Integer pageSize);
}
